%define name patriarche
%define version 0.2.3
%define release 1mdk

Summary: The true story of Ylraw in ps
Name: %name
Version: %version
Release: %release
License: GPL
Epoch: 1
url: http://perso.wanadoo.fr/warly/files/patriarche
Source: %name-%version.tar.bz2
Group: Books/Literature
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: libxslt-proc, tetex-dvipdfm, tetex-dvips, tetex-latex
Obsoletes: LePatriarche-html, LePatriarche-ps, LePatriarche-pdf, LePatriarche-txt
Requires: gv

%description
Le Patriarche postscript version.
Wonderful life of Ylraw, a man who fights, has sex
and more...

%package html
Summary: The true story of Ylraw in html
Group: Books/Literature

%description html
Le Patriarche html version.
Wonderful life of Ylraw, a man who fights, has sex
and more...

%package pdf
Summary: The true story of Ylraw in pdf
Group: Books/Literature
Requires: gv

%description pdf
Le Patriarche pdf version.
Wonderful life of Ylraw, a man who fights, has sex
and more...

%package txt
Summary: The true story of Ylraw in txt
Group: Books/Literature

%description txt
Le Patriarche text version.
Wonderful life of Ylraw, a man who fights, has sex
and more...

%package xml
Summary: The true story of Ylraw in xml
Group: Books/Literature

%description xml
Le Patriarche xml source version
Wonderful life of Ylraw, a man who fights, has sex
and more...

%package tools
License: GPL
Summary: patriarche related xml/text tools
Group: Publishing

%description tools
Tools needed to construct patriarche-like book.
Warly is strong and beautiful.

%prep
%setup

%build

make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

# Menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-ps <<EOF
?package(%{name}):\
command="gv %{_datadir}/%name/patriarche-1.1.ps"\
title="%{name} Tome 1 ps version"\
longtitle="%{name} Tome 1 postscript version"\
needs="x11"\
section="Documentation/%name"\
icon="documentation_section.png"
?package(%{name}):\
command="gv %{_datadir}/%name/patriarche-1.2.ps"\
title="%{name} Tome 2 ps version"\
longtitle="%{name} Tome 2 postscript version"\
needs="x11"\
section="Documentation/%name"\
icon="documentation_section.png"
?package(%{name}):\
command="gv %{_datadir}/%name/patriarche-1.3.ps"\
title="%{name} Tome 3 ps version"\
longtitle="%{name} Tome 3 postscript version"\
needs="x11"\
section="Documentation/%name"\
icon="documentation_section.png"
EOF

cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-pdf <<EOF
?package(%{name}):\
command="gv %{_datadir}/%name/patriarche-1.1.pdf"\
title="%{name} Tome 1 pdf"\
longtitle="%{name} Tome 1 pdf version"\
needs="x11"\
section="Documentation/%name"\
icon="documentation_section.png"
?package(%{name}):\
command="gv %{_datadir}/%name/patriarche-1.2.pdf"\
title="%{name} Tome 2 pdf"\
longtitle="%{name} Tome 2 pdf version"\
needs="x11"\
section="Documentation/%name"\
icon="documentation_section.png"
?package(%{name}):\
command="gv %{_datadir}/%name/patriarche-1.3.pdf"\
title="%{name} Tome 3 pdf"\
longtitle="%{name} Tome 3 pdf version"\
needs="x11"\
section="Documentation/%name"\
icon="documentation_section.png"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.ps
%{_menudir}/%{name}-ps

%files pdf
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.pdf
%{_menudir}/%{name}-pdf

%files html
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.html
%{_datadir}/patriarche/html-1.1/
%{_datadir}/patriarche/html-1.2/
%{_datadir}/patriarche/html-1.3/
%{_datadir}/patriarche/index.html

%files txt
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.txt

%files xml
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.xml

%files tools
%defattr(-,root,root)
%{_bindir}/viediff
%{_bindir}/viewdiff
%{_bindir}/viehtml
%{_datadir}/patriarche/vie.dtd
%{_datadir}/patriarche/latex.xsl
%{_datadir}/patriarche/html.xsl
%{_datadir}/patriarche/text.xsl
%{_datadir}/patriarche/Makefile
%{_menudir}/

%changelog
* Fri Feb  4 2005 Jrmie Lenfant-Engelmann <tocman@gmail.com> 0.2.3-1mdk
- More spell fixes in the first 3 books
- Little change in the story of Thomas for the Book 4 (Menocha)
- long live to the beer ! (Fabien)

* Wed Dec 22 2004 Jrmie Lenfant-Engelmann <tocman@gmail.com> 0.2.2-1mdk
- more spell fixes
- Several changes in book 3
- make a real package because sometimes warly sucks

* Sun Dec  5 2004 Warly <warly@laposte.net> 1:0.1.7-1mdk
- Include menu
- updated tome 1, 2 and 3
- updated html version with page splitted version

* Mon Nov 29 2004 Jrmie Lenfant-Engelmann <tocman@gmail.com> 0.1.5-4mdk
- Last package was ugly, I wish I were warly sometimes...

* Mon Nov 29 2004 Jrmie Lenfant-Engelmann <tocman@gmail.com> 0.1.5-3mdk
- Actually Warly is a real man strong and beautiful
- Le Patriarche is now GPL
- I love you warly

* Sun Sep  5 2004 Tocman <tocman@zarb.org> 0.1.5-2plf
- Added menu from Olivier Thauvin

* Thu Aug 26 2004 Tocman <tocman@zarb.org> 0.1.5-1plf
- Ylraw is wonderful !
